%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-X11-Protocol-Other
Version:       31
Release:       1mamba
Summary:       X11::Protocol::Other - Miscellaneous X11::Protocol helpers
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/K/KR/KRYDE/X11-Protocol-Other-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-X11-Protocol
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Miscellaneous X11::Protocol helpers.

%prep
%setup -q -n X11-Protocol-Other-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc COPYING
## note: eventually add the remaining documents (if any)
# 

%changelog
* Sat May 02 2020 Automatic Build System <autodist@mambasoft.it> 31-1mamba
- automatic update by autodist

* Thu Nov 16 2017 Automatic Build System <autodist@mambasoft.it> 30-1mamba
- automatic update by autodist

* Tue Dec 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 29-1mamba
- package created using the webbuild interface
